#compDivContent
	@import "./components/tabs.styl"
	@import "./components/buttons.styl"
	@import "./components/popup.styl"

	
	.text-line
		background-color: transparent
		border: none
		position: relative
		border-bottom: 1px solid #9e9e9e
		border-radius: 0
		outline: none
		display: inline-block
		width: calc(100% - 10px)
		font-size: 110%
		line-height: 140%
		min-height: 1.5em
		margin: 1.2rem 0 1.2rem 0
		padding-bottom: 3px
		box-shadow: none
		box-sizing: content-box
		padding: 0 3px
		
	.text-line:not([data-error])
		max-height 6rem
		overflow-y auto

	.text-line + label
		font-size: 1rem
	
	.text-line:not(:empty)+label, .text-line:focus+label
		-webkit-transform: translateY(-120%)
		transform: translateY(-120%)

	.text-line[data-validate*="required"]+label:after, label[data-required]:after
		content: " * "
		color  : red
		font-size: 1.1rem
	
	*[data-error]
		border-bottom 1px solid red !important
		position relative

	img[data-error]
		border 1px solid red !important
		
	*[data-error]:after
		content attr(data-error)
		color red
		position absolute
		top  2rem
		right 0px
	.historyValidate[data-error]:after
		position: initial !important;
	
	.text-line:not(:focus):empty+label
		-webkit-transform: translateY(0%)
		transform: translateY(0%)

	.text-line:focus 
		border-bottom 1px solid $base-color
		box-shadow 0 1px 0 0 $base-color
	
	.text-line:focus+label
		color: $base-color
	
	.text-box
		background-color: transparent
		position: relative
		border: 1px solid #9e9e9e
		border-radius: 0
		outline: none
		display: inline-block
		width: calc(100% - 10px)
		font-size: 110%
		line-height: 140%
		min-height: 5em
		margin: 1.2rem 0 1.2rem 0
		padding-bottom: 3px
		padding: 0 3px
		
	.input-tags, .chip, *[data-type="inputTags"] .tags
		color: #fff
		height: 2rem !important
		line-height: 1.5rem !important
		background: darken($base-color, 20%) !important
		font-weight: 500
		padding: 0.25rem 0.75rem
		border-radius: 13px
		margin-bottom: 5px
		margin-right: 5px
		display: inline-block
	
	*[data-type="inputTags"] .tags .jrnlSuffix, *[data-type="inputTags"] .tags .jrnlRole
		display none
	
	
	*[data-type="popUp"][data-component*="_edit"] label
		left:0
		font-size:1rem
	
	*[data-type="popUp"][data-component*="_edit"] label:not([for])
		pointer-events:none
	
	span[data-placeholder]:not(:empty):focus:before 
		content: attr(data-placeholder)
		position: absolute
		top: -0.2rem
		font-size: 0.7rem
		color: #26a69a
		font-style: normal
		-webkit-transform: translateY(-140%)
		transform: translateY(-140%)
		transition: .2s ease-out
	
	span[data-placeholder]:empty:after 
		content:attr(data-placeholder)
		color: #9e9e9e

	span[data-placeholder][data-error]:empty:after
		color: red
		top: 0px
		position: initial
	
#url-modal{
	position: absolute;
    top: 20%;
    left: 30%;
    background: #eee;
    //border: 1px solid #ddd;
    font-size: 13px;
    line-height: 100%;
    padding: 10px;
    max-width: 30%;
	z-index: 5;
}
#url-modal div{
	background: #fff;
	margin: 6px 6px 2px !important;
	padding: 5px;
	max-height: 400px;
	overflow: auto;
}
#url-modal * {
    font-size: 14px !important;
    margin: 0px !important;
    line-height: 120% !important;
}
#url-modal p{
    font-size: 13px !important;
    margin: 0px 0px 5px !important;
    line-height: 120% !important;
}
#url-modal h2{
    font-size: 20px !important;
    line-height: 120% !important;
	font-weight: bold;
}
#url-modal h3{
    font-size: 15px !important;
    margin: 0px 0px 5px !important;
    line-height: 120% !important;
	font-weight: bold;
}

.country-list ul
	opacity	1
	display block

	& li 
		min-height 25px

		& a
			padding 5px
			color $base-color

[data-component="placeFloats_edit"] {
	& [data-wrapper="true"] {
		padding-top 0px !important
		& .boxType{
			text-align: center;
		}
		& * {
			font-size 1rem !important
		}
		& select {
			border 1px solid #9e9e9e
			padding 2px
		}
		& .floatPositionToPlace {
			margin-left 1.5rem
		}
		& input {
			width 35% !important
			margin 0px !important
			border 1px solid #9e9e9e !important
			margin-left 0.5rem !important
		}
		& #float-continue {
			opacity: 1;
    		left: 50px;
		}
	}
	& table {
		& thead {
			background-color darken($base-color, 20%) !important
		}
		& td {
			padding 5px
		}
		& td:not(.floatGapArea) {
			text-align center	
		}
	}
}

[data-component="HISTORY_edit"] {
	& .commentLabel {
		margin-left: 1rem;
		width: 10%;
    	display: inline-block;
	}
	& .removeIcon {
		cursor: pointer;
	}
	& .dateLabel {
	    width: 10%;
	    display: inline-block;
	}
	& .dateLabel:after {
	    content: ":\A0";
	}
	& .dateHolder {
	    color: #1a759e;
	    border: 1px solid #ddd;
	    padding: 3px;
	    border-radius: 5px;
	    min-width: 22%;
	    display: inline-block;
	    margin-bottom: 0.3rem;
		cursor: pointer;
	}
}

[data-component="jrnlReorderAuthor_edit"] {
	& .jrnlSuffix {
		display none
	}
}

[data-activates="float-list-dropdown"]:after, [data-activates="supplement-type-dropdown"]:after, [data-activates="box-type-dropdown"]:after {
  content '\A0 \25BC'
  font-size 1rem
}

[data-activates="float-list-dropdown"], [data-activates="supplement-type-dropdown"], [data-activates="box-type-dropdown"] {
	cursor pointer
}

.kriya-checkbox {
	opacity 1 !important
    position inherit !important
}

#compDivContent[data-role="author"]{
	.query-to-ui{
		display: none;
	}
}

#compDivContent[data-role="editor"]{
	.query-to-ui{
		display: none;
	}
}

*[data-component="jrnlFN_edit"] *[contenteditable="true"] sup{
	position: initial !important;
	vertical-align: super !important;
}
*[data-component="jrnlFN_edit"] *[contenteditable="true"] sub{
	position: initial !important;
	vertical-align: sub !important;
}

.jrnlFNLabel, .jrnlKwdLabel{
	text-transform: lowercase !important;
}
.jrnlKwdLabel:empty:after{
	content : 'keywords';
}
*[data-component="jrnlFN_edit"] .jrnlFNPara{
	display: block !important;
}
*[data-component="jrnlFN_edit"] .text-line:not([data-error]){
		max-height : 15rem !important;
}
*[data-component] [data-name=jrnlArtType_options][data-display=true] ul.dropdown-content, *[data-component] [data-name=jrnlSubject_options][data-display=true] ul.dropdown-content{
	display: block !important;
	opacity : 1;
}
*[data-component="jrnlRefCsl_edit"] *[data-class="refDataType"]{
  min-width: 77%;
}
*[data-component="jrnlRefCsl_edit"] .addCslField{
  text-align: right;
  color: grey;
  font-size: 15px !important;
  cursor: pointer;
  vertical-align: top
}
*[data-component="jrnlRefCsl_edit"] .delCslField{
  text-align: right;
  color: grey;
  font-size: 15px !important;
  cursor: pointer;
  vertical-align: top
}
*[data-component="jrnlRefCsl_edit"] .titleText{
  margin-bottom: 2% !important;
}
*[data-component="jrnlRefCsl_edit"] .navKeys{
  color: grey;
  cursor: pointer;
}
*[data-class=jrnlPiTarget], *[data-class=jrnlPiInstruction]{
  cursor: pointer;
}
.jrnlPi{
    background: grey;    
    line-height: 5px;    
    position: relative;
    top: 0px;
    font-style: normal;
    font-weight: normal;
    font-size: 10px;
    padding: 2px 7px 3px 5px;
    border-radius: 6px;
    color: #fff;
    margin-right: 3px;
    cursor: pointer;
}
.jrnlPi:after{
  content: "PI"
}
.cslRequiredField:after {
  vertical-align: super;
  content: " * ";
  color: #f00;
  font-size: 1.1rem;
}
.dataLine select, .dataLine .s1{
  margin-top: 8px !important;
}
#contentContainer #contentDivNode .jrnlTopicGroup [data-track="ins"]{
	background-repeat : repeat !important
}
#contentContainer #contentDivNode .jrnlTopicCode{
	display: inline-block;
    font-size: 14px;
    line-height: 32px;
    padding: 0 8px;
    cursor: pointer;
    border-radius: 16px;
    background-color: #beebff;
    margin: 0px 10px 10px 0px;
    box-shadow: 0 2px 5px 0 rgba(0,0,0,0.16), 0 2px 10px 0 rgba(0,0,0,0.12);
}
#contentContainer #contentDivNode .jrnlTopicGroup{
	margin-bottom: 1rem;
}
*[data-component="jrnlModifyAttributes"] a{
  cursor: pointer;
}
#compDivContent *[data-component="jrnlModifyAttributes"] {
  width: auto;
  position: absolute;
  min-width: 45% !important;  
  max-width: 34% !important;
}
*[class^="jrnlHead"] .label{
  background-color: yellow;
}
@font-face {
  font-family: 'u2000';  
  src: url("../../fonts/u2000.woff") format('woff');
  font-weight: normal;
  font-style: normal;
  unicode-range: U+2000-206F; 
}
#specialCharacter{
  font-family: "u2000";
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] [data-input-editable]{
  padding: unset !important;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] .refBtns{
  margin-top: 1% !important;
  margin-bottom: 1% !important;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] .ace_editor {
  position: relative !important;
  border: 1px solid lightgray;
  margin: auto;
  height: 93.5%;
  width: 100%;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] .ace_editor.fullScreen {
  height: auto;
  width: auto;
  border: 0;
  margin: 0;
  position: fixed !important;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 10;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] .fullScreen {
  overflow: hidden
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] .scrollmargin {
  height: 500px;
  text-align: center;
}
#contentContainer img[src=""] {
    border: 5px solid red;
    padding: 5px;
}
#contentContainer img[src=""]:before {
    content: "IMAGE NOT LOADED";
    font-size: 22px;
    color: red;
    font-weight: bold;
    padding: 6px;
    background: #FFEB3B;
}
#compDivContent *[data-type="popUp"][data-component="jrnlMultipleAuthor_edit"] .text-line {
  border: 1px solid #9e9e9e;
  min-height: 18rem;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] {
  width: 100% !important;
  height: 100% !important;
  padding: 2px 4px !important;
  border-radius: 2px;
  background: rgba(53,53,53,0.45);
  border: none !important;
  box-shadow: 0px 0px 7px 0px #000 !important;
  top: 0px !important;
  left: 0px !important;
  width: 100% !important;
  height: 100% !important;
  opacity: 1 !important;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] *[data-input-editable="true"]{
  margin-top: 40px !important;
  width: 94% !important;
  height: 90% !important;
  background: #fff;
  border-radius: 5px;
  border: 1px solid black;
  margin-left: 3%;
  position: relative;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] .header {
  font-size: 1.4em;
	margin-left: 6px !important;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] input{
    background-color: white !important;
    border-bottom: unset !important;
    border-radius: 3px 0px 0px 3px !important;
    height: unset !important;
    width: unset !important;
    margin: unset !important;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] input:focus, #compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] input:active{
  box-shadow: unset !important;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] > div #xmlEditor *{
  font-size: 1rem !important;
}
#compDivContent *[data-type="popUp"][data-component="jrnlXmlEditor"] .ace_searchbtn {
  display: unset;
  padding-top: 8px !important;
  padding-bottom: 8px !important;
}